$sidebar_width: 270px;

// list
$sidebar_listitem_height: 24px;
$sidebar_listitem_width: $sidebar_width;
$sidebar_listitem_padding: 12px;

// sidebar
.sidebar {
	background-color: $base_color !important;
	border-right: 1px solid $borders_color !important;
}

ul.sidebar {
	display: inline-block;
	list-style: none;
	margin:0;
	padding:0;
	width: 100%;
	max-width: $sidebar_width;

	// scroll
	overflow: auto;
	overflow-y: scroll;
	overflow-x: hidden;

	scrollbar-width: none;

	h4, h5 {
		padding: 6px;
		width: calc(#{$sidebar_listitem_width} - (6px * 2));
	}

	a {
		padding:0;
		margin:0;
		color: inherit;
		width: 100%;
		text-decoration: none;
	}

	li {
		padding: $sidebar_listitem_padding;
		height: $sidebar_listitem_height;
		width: calc(#{$sidebar_listitem_width} - (#{$sidebar_listitem_padding} * 2));

		> span {
			display: inline-block;
			height: $sidebar_listitem_height;
			line-height: $sidebar_listitem_height;
			vertical-align: top;
			color: inherit !important;
		}

		&.small-label {
			height: calc(#{$sidebar_listitem_height} - 8px);
		}

		.symbolic {
			opacity: 0.8;
			vertical-align: middle;
			margin-left: 4px;
			margin-right: 12px;
		}
		
		.pillbox {
			background-color:$selected_bg_color;
			color:$selected_fg_color !important;
			padding: 0 6px;
			margin: 0 12px;
			border-radius: 3px;
		}

		.float-right>.symbolic {
			margin-right:0px;
		}

		&:hover {
			background-color: darken($base_color, 5%);
		}

		&.active {
			@extend %selected;

			.pillbox {
				background-color:$selected_fg_color;
				color:$selected_bg_color;
			}
		}
	}

	> .separator {
		height: 1px;
		width: $sidebar_width;
		background-color: lighten($borders_color, 10%);
	}

	&.full-width {
		width: 100%;
		max-width: 100%;

		li {
			width: calc(100% - (#{$sidebar_listitem_padding} * 2));
		}
		> .separator {
			width: 100%;
		}
	}

	&.small {
		li {
			margin: 2px 0;
			padding: $sidebar_listitem_padding * 0.5 !important;
		}
	}

	&.large {
		li {
			padding: $sidebar_listitem_padding * 1 !important;
			height: $sidebar_listitem_height * 1.5 !important;

			.icon {
				vertical-align: top;
				margin: 2px;
				background-color:$bg_color;
				box-shadow: inset 0 0 0 1px $borders_color;
				border-radius: 50%;
				height: 32px;
			}


			.symbolic {
				margin: 0;
				padding: 8px;
			}

			> div.category-labels {
				height: $sidebar_listitem_height * 1.5 !important;
				// background-color: red;
				display: inline-block;
				width: calc(#{$sidebar_listitem_width} - (#{$sidebar_listitem_padding} * 8)) !important;
				margin-left: 8px;
				>.title {
					display: block;
					float: left;
					color: inherit;
					width: 100%;
				}
				>.subtitle {
					display: block;
					float: left;
					color: inherit;
					width: 100%;
					margin: 2px 0;
				}
			}

			&.active {
				.icon {
					opacity: 1;
					background-color:$selected_fg_color;
					box-shadow: none;
					>.symbolic { g, path {fill:$selected_bg_color;}}
				}

				.pillbox {
					background-color:$selected_fg_color;
					color:$selected_bg_color;
				}
			}
		}
	}
}

@media only screen and (max-width:800px) {
	.sidebar {
		display: none !important;
	}
	.sidebar.full-width {
		border:none;
		display: block !important;
		// view within the content
		height: calc(100% - 6px);
		width: calc(100% + 1px);
		overflow: hidden !important;
		overflow-y: scroll !important;
	}
}